// import TableStyle from './table'
// import BarStyle from './bar'
import ThemeForm from './theme'
import AggregateTableStyle from './aggregateTable'
import PieStyle from './pie'

export default ({ viewType }) => {
    let styleForm = <div>无可用样式配置</div>;
    // const formItemLayout = {
    //     labelCol: { span: 8 },
    //     wrapperCol: { span: 16 },
    // };

    if(viewType === 'aggregateTable') {
        styleForm = <AggregateTableStyle />
    }else if(viewType === 'dataView') {
        // styleForm = <TableStyle formItemLayout={formItemLayout}/>
    }else if(viewType === 'bar') {
        // styleForm = <BarStyle />
    }else if(viewType === 'pie') {
        styleForm = <PieStyle />
    }
    return <div className='style-config'>
        <ThemeForm />
        { styleForm }
    </div>
}